Bug 662740 (CVE-2010-4267) - CVE-2010-4267 hplip: remote stack overflow vulnerability
Summary: CVE-2010-4267 hplip: remote stack overflow vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4267
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110110,reported=20101207,sou...
Depends On: 663472 663473 663474 663475 663476 663477 670252 833909 833911
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-13 19:08 UTC by Vincent Danen
Modified: 2019-06-08 18:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-07 17:59:55 UTC


Attachments (Terms of Use)
patch provided by Sebastian to correct the flaw (472 bytes, patch)
2010-12-13 19:11 UTC, Vincent Danen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0154 normal SHIPPED_LIVE Moderate: hplip security update 2011-01-17 17:47:07 UTC

Description Vincent Danen 2010-12-13 19:08:17 UTC
Sebastian Krahmer reported a flaw in how hplip discovered SNMP devices.  If
certain hplip commands were run that queried SNMP devices, and a malicious user
were able to send crafted SNMP responses, it could cause the running hplip tool
to crash or, possibly, execute arbitrary code with the privileges of the user
running the tool.

Acknowledgements:

Red Hat would like to thank Sebastian Krahmer of the SuSE Security Team for reporting this issue.

Comment 2 Vincent Danen 2010-12-13 19:11:55 UTC
Created attachment 468455 [details]
patch provided by Sebastian to correct the flaw

Comment 28 Jan Lieskovsky 2011-01-17 16:53:05 UTC
Created hplip tracking bugs for this issue

Affects: fedora-all [bug 670252]

Comment 29 errata-xmlrpc 2011-01-17 17:47:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0154 https://rhn.redhat.com/errata/RHSA-2011-0154.html


Note You need to log in before you can comment on or make changes to this bug.